/**********************************************************************
 *
 * invbrowserclass.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: invbrowserclass.h 668 1999-10-14 22:59:35Z sjboddie $
 *
 *********************************************************************/


#ifndef INVBROWSERCLASS_H
#define INVBROWSERCLASS_H

#include "browserclass.h"

class invbrowserclass : public browserclass {
protected:

public:

  // this browser class does nothing by default - it should
  // be overridden for receptionists wanting to display 
  // 'Invisible' classifications in some way

  invbrowserclass ();
  virtual ~invbrowserclass ();

  // returns the name that specifies the browserclass type
  virtual text_t get_browser_name ();

};

#endif
